## GUPnPDLNAAudioInformation

GUPnPDLNAAudioInformation — Base class representing audio metadata needed for DLNA profiles matching.

## Functions

GUPnPDLNAIntValue | gupnp_dlna_audio_information_get_bitrate ()
GUPnPDLNAIntValue | gupnp_dlna_audio_information_get_channels ()
GUPnPDLNAIntValue | gupnp_dlna_audio_information_get_depth ()
GUPnPDLNAIntValue | gupnp_dlna_audio_information_get_layer ()
GUPnPDLNAStringValue | gupnp_dlna_audio_information_get_level ()
GUPnPDLNAIntValue | gupnp_dlna_audio_information_get_mpeg_audio_version ()
GUPnPDLNAIntValue | gupnp_dlna_audio_information_get_mpeg_version ()
GUPnPDLNAStringValue | gupnp_dlna_audio_information_get_profile ()
GUPnPDLNAIntValue | gupnp_dlna_audio_information_get_rate ()
GUPnPDLNAStringValue | gupnp_dlna_audio_information_get_stream_format ()
GUPnPDLNAIntValue | gupnp_dlna_audio_information_get_wma_version ()
GUPnPDLNAStringValue | gupnp_dlna_audio_information_get_mime ()

## Types and Values

struct | GUPnPDLNAAudioInformationClass

## Object Hierarchy

        GObject
        ╰── GUPnPDLNAAudioInformation

## Description

GUPnPDLNAAudioInformation holds all audio metadatas important for matching profiles. Note that it does not mean all data should be provided for every audio file as in some cases it does not make sense (e.g. WMA version does not make sense for MPEG audio files).

For metadata attributes that do not exist in current audio file an unset value should be returned. For metadata attributes that do exist a set value with proper underlying value should be returned. In case metadata extractor has completely no clue how to extract some metadata attribute at all, an unsupported value should be returned. Note that unsupported values should be a temporary mean before fixing the multimedia framework to be able to extract such attribute.

Note that `gupnp_dlna_audio_information_get_mime()` should always return a set value. Otherwise it is highly probably that the file will not match against any DLNA profile.

## Functions

### gupnp_dlna_audio_information_get_bitrate ()

    GUPnPDLNAIntValue
    gupnp_dlna_audio_information_get_bitrate
                                   (GUPnPDLNAAudioInformation *info);

[skip]

#### Parameters

info | A GUPnPDLNAAudioInformation object. |

#### Returns

A bitrate.

### gupnp_dlna_audio_information_get_channels ()

    GUPnPDLNAIntValue
    gupnp_dlna_audio_information_get_channels
                                   (GUPnPDLNAAudioInformation *info);

[skip]

#### Parameters

info | A GUPnPDLNAAudioInformation object. |

#### Returns

A number of channels.

### gupnp_dlna_audio_information_get_depth ()

    GUPnPDLNAIntValue
    gupnp_dlna_audio_information_get_depth
                                   (GUPnPDLNAAudioInformation *info);

[skip]

#### Parameters

info | A GUPnPDLNAAudioInformation object. |

#### Returns

A depth.

### gupnp_dlna_audio_information_get_layer ()

    GUPnPDLNAIntValue
    gupnp_dlna_audio_information_get_layer
                                   (GUPnPDLNAAudioInformation *info);

[skip]

#### Parameters

info | A GUPnPDLNAAudioInformation object. |

#### Returns

A layer.

### gupnp_dlna_audio_information_get_level ()

    GUPnPDLNAStringValue
    gupnp_dlna_audio_information_get_level
                                   (GUPnPDLNAAudioInformation *info);

[skip]

#### Parameters

info | A GUPnPDLNAAudioInformation object. |

#### Returns

A level.

### gupnp_dlna_audio_information_get_mpeg_audio_version ()

    GUPnPDLNAIntValue
    gupnp_dlna_audio_information_get_mpeg_audio_version
                                   (GUPnPDLNAAudioInformation *info);

[skip]

#### Parameters

info | A GUPnPDLNAAudioInformation object. |

#### Returns

An MPEG audio version.

### gupnp_dlna_audio_information_get_mpeg_version ()

    GUPnPDLNAIntValue
    gupnp_dlna_audio_information_get_mpeg_version
                                   (GUPnPDLNAAudioInformation *info);

[skip]

#### Parameters

info | A GUPnPDLNAAudioInformation object. |

#### Returns

An MPEG version.

### gupnp_dlna_audio_information_get_profile ()

    GUPnPDLNAStringValue
    gupnp_dlna_audio_information_get_profile
                                   (GUPnPDLNAAudioInformation *info);

[skip]

#### Parameters

info | A GUPnPDLNAAudioInformation object. |

#### Returns

A profile.

### gupnp_dlna_audio_information_get_rate ()

    GUPnPDLNAIntValue
    gupnp_dlna_audio_information_get_rate (GUPnPDLNAAudioInformation *info);

[skip]

#### Parameters

info | A GUPnPDLNAAudioInformation object. |

#### Returns

A sample rate.

### gupnp_dlna_audio_information_get_stream_format ()

    GUPnPDLNAStringValue
    gupnp_dlna_audio_information_get_stream_format
                                   (GUPnPDLNAAudioInformation *info);

[skip]

#### Parameters

info | A GUPnPDLNAAudioInformation object. |

#### Returns

A stream format.

### gupnp_dlna_audio_information_get_wma_version ()

    GUPnPDLNAIntValue
    gupnp_dlna_audio_information_get_wma_version
                                   (GUPnPDLNAAudioInformation *info);

[skip]

#### Parameters

info | A GUPnPDLNAAudioInformation object. |

#### Returns

A WMA version.

### gupnp_dlna_audio_information_get_mime ()

    GUPnPDLNAStringValue
    gupnp_dlna_audio_information_get_mime (GUPnPDLNAAudioInformation *info);

[skip]

#### Parameters

info | A GUPnPDLNAAudioInformation object. |

#### Returns

A MIME type.

## Types and Values

### struct GUPnPDLNAAudioInformationClass

    struct GUPnPDLNAAudioInformationClass {
            GObjectClass parent_class;

            GUPnPDLNAIntValue
            (* get_bitrate) (GUPnPDLNAAudioInformation *info);

            GUPnPDLNAIntValue
            (* get_channels) (GUPnPDLNAAudioInformation *info);

            GUPnPDLNAIntValue
            (* get_depth) (GUPnPDLNAAudioInformation *info);

            GUPnPDLNAIntValue
            (* get_layer) (GUPnPDLNAAudioInformation *info);

            GUPnPDLNAStringValue
            (* get_level) (GUPnPDLNAAudioInformation *info);

            GUPnPDLNAIntValue
            (* get_mpeg_audio_version) (GUPnPDLNAAudioInformation *info);

            GUPnPDLNAIntValue
            (* get_mpeg_version) (GUPnPDLNAAudioInformation *info);

            GUPnPDLNAStringValue
            (* get_profile) (GUPnPDLNAAudioInformation *info);

            GUPnPDLNAIntValue
            (* get_rate) (GUPnPDLNAAudioInformation *info);

            GUPnPDLNAStringValue
            (* get_stream_format) (GUPnPDLNAAudioInformation *info);

            GUPnPDLNAIntValue
            (* get_wma_version) (GUPnPDLNAAudioInformation *info);

            GUPnPDLNAStringValue
            (* get_mime) (GUPnPDLNAAudioInformation *info);

            gpointer _reserved[12];
    };

#### Members

`get_bitrate` () | This is called by GUPnPDLNAProfileGuesser to get a bitrate. |
`get_channels` () | This is called by GUPnPDLNAProfileGuesser to get a channels count. |
`get_depth` () | This is called by GUPnPDLNAProfileGuesser to get a depth. |
`get_layer` () | This is called by GUPnPDLNAProfileGuesser to get a layer. |
`get_level` () | This is called by GUPnPDLNAProfileGuesser to get a level. |
`get_mpeg_audio_version` () | This is called by GUPnPDLNAProfileGuesser to get an MPEG audio version. |
`get_mpeg_version` () | This is called by GUPnPDLNAProfileGuesser to get an MPEG version. |
`get_profile` () | This is called by GUPnPDLNAProfileGuesser to get a profile. |
`get_rate` () | This is called by GUPnPDLNAProfileGuesser to get a sample rate. |
`get_stream_format` () | This is called by GUPnPDLNAProfileGuesser to get a stream format. |
`get_wma_version` () | This is called by GUPnPDLNAProfileGuesser to get a WMA version. |
`get_mime` () | This is called by GUPnPDLNAProfileGuesser to get a MIME type. |
gpointer `_reserved`[12]; | Padding. Ignore it. |

## See Also

GUPnPDLNABoolValue, GUPnPDLNAFractionValue, GUPnPDLNAIntValue, GUPnPDLNAStringValue